<template>
  <div class="page-container teacher-add-page">
    <div class="page-top-title-box">
      <p class="page-top-title-name-p">{{titleName}}</p>
      <p class="page-top-title-out-p" @click="outPageButton">返回</p>
      <p class="page-top-title-submit-p" v-if="!editType" @click="upDataButton">提交</p>
    </div>
    <div class="public-form-box scrollbar-box">
      <el-form :model="form" class="top-info-box" ref="form" :inline="true" :rules="rules" label-width="180px">
        <div class="left-info-box">
          <img :src="form.avatar" v-if="form.avatar">
          <img src="@/assets/ZDimages/basicsModules/tx_cion.png" v-if="!form.avatar">
          <el-upload
            v-if="!editType"
            class="certificate-avatar-uploader"
            :action="uploadImgUrl"
            :show-file-list="false"
            accept="image/jpeg,image/jpg,image/gif,image/png"
            :on-success="handleAvatarSuccess"
            :headers="headers"
            :before-upload="beforeAvatarUpload">
            <p>上传证件照</p>
          </el-upload>
        </div>
        <div class="right-info-box">
          <el-form-item label="姓名：" prop="userName">
            <el-input
              :disabled="editType"
              style="width:218px;"
              maxlength="50"
              v-model="form.userName"
              placeholder="请输入名称"
              clearable
              size="small"
            />
          </el-form-item>
          <el-form-item label="性别：" prop="sex">
            <el-radio-group v-model="form.sex" v-if="!editType">
              <el-radio :label="1" style="margin-left:20px;width:70px;">男</el-radio>
              <el-radio :label="2">女</el-radio>
            </el-radio-group>
            <p v-if="editType" style="line-height:40px;color:#999;width:250px;padding-left:40px;">{{form.sex==1?'男':(form.sex==2?'女':'未知')}}</p>
          </el-form-item>
          <el-form-item label="工号：" prop="account">
            <el-input
              style="width:218px;"
              :disabled="!!propsData.userId"
              maxlength="50"
              v-model="form.account"
              placeholder="请输入工号"
              clearable
              size="small"
            />
          </el-form-item>
          <el-form-item label="身份：" prop="position">
            <el-select
              @change="positionSelectClick"
              :disabled="editType"
              v-model="form.position"
              filterable
              placeholder="请选择身份">
              <el-option
                v-for="item in positionOptions"
                :key="item.postId"
                :label="item.postName"
                :value="item.postId">
              </el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="所在部门：" prop="deptId">
            <el-cascader
              :disabled="editType"
              :show-all-levels="false"
              v-model="form.deptId"
              :options="deptOptions"
              :props="{ checkStrictly: true, children:'child', value: 'deptId', label: 'deptName',emitPath:false  }"></el-cascader>
          </el-form-item>
          <el-form-item label="手机号码：" prop="mobile">
            <el-input
              :disabled="editType"
              style="width:218px;"
              maxlength="11"
              onkeyup="this.value=this.value.replace(/[^\d.]/g,'')"
              v-model="form.mobile"
              placeholder="请输入手机号码"
              clearable
              size="small"
            />
          </el-form-item>
          <el-form-item label="职称：" prop="category">
            <el-select
              :disabled="editType"
              v-model="form.category"
              filterable
              placeholder="请选择职称">
              <el-option
                v-for="item in categoryOptions"
                :key="item.value"
                :label="item.label"
                :value="item.value">
              </el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="邮箱：" prop="email">
            <el-input
              :disabled="editType"
              style="width:218px;"
              maxlength="40"
              v-model="form.email"
              placeholder="请输入邮箱"
              clearable
              size="small"
            />
          </el-form-item>
          <el-form-item label="校园卡号：" prop="cardNum">
            <el-input
              show-password
              :disabled="editType"
              style="width:218px;"
              onkeyup="this.value=this.value.replace(/^\s*|\s*$/g,'')"
              maxlength="30"
              v-model="form.cardNum"
              placeholder="请输入校园卡号"
              size="small"
            />
          </el-form-item>
          <el-form-item label="文化程度：" prop="education">
            <el-select
              :disabled="editType"
              v-model="form.education"
              filterable
              placeholder="请选择文化程度">
              <el-option
                v-for="item in educationOptions"
                :key="item.value"
                :label="item.label"
                :value="item.value">
              </el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="出生日期：" prop="birthday">
            <el-date-picker
              :disabled="editType"
              value-format="yyyy-MM-dd"
              v-model="form.birthday"
              type="date"
              placeholder="请选择出生日期">
            </el-date-picker>
          </el-form-item>
          <el-form-item label="来源：" prop="source" v-if="propsData.userId">
            <p style="line-height:40px;color:#999;width:250px;padding-left:40px;">{{form.source==2?'统一认证平台':'智慧化管控系统'}}</p>
          </el-form-item>
        </div>
      </el-form>
    </div>
  </div>
</template>

<script>
import Treeselect from "@riophae/vue-treeselect";
import { getToken } from "@/utils/auth";
import { getDeptList,systemUserAdd,systemUserUpdate,systemPostSelect } from "@/api/commonality/permission";
import { getDicts } from "@/api/commonality/noPermission";

export default {
  name: "addPage",
  props:{
    editType:{},
    propsData:{},
    titleName:{},
  },
  components: {
    Treeselect,
  },
  data() {
    return {
      uploadImgUrl: this.uploadUrl(), // 上传的图片服务器地址
      headers: {
        Authorization: getToken(),
      },
      form:{
        avatar:"",     //头像
        userName:"",     //姓名
        sex:1,     //性别
        account:"",     //工号
        deptId:"",     //所在部门
        position:"",     //身份
        category:"",     //职称
        mobile:"",     //联系方式
        cardNum:"",     //校园卡号
        education:"",     //文化程度
        birthday:"",     //出生日期
        email:"",     //邮箱
      },
      rules:{
        userName: [{ required: true, message: "请输入姓名", trigger: "blur" },
          { required: true, message: "请输入姓名", validator: this.spaceJudgment, trigger: "blur" }],
        account: [{ required: true, message: "请输入工号", trigger: "blur" },
          { required: true, message: "请输入工号", validator: this.spaceJudgment, trigger: "blur" }],
        deptId: [{ required: true, message: "请选择部门", trigger: "blur" }],
        // position: [{ required: true, message: "请选择身份", trigger: "blur" }],
        name: [{ required: true, message: "请输入模板名称", trigger: "blur" },
          { required: true, message: "请输入模板名称", validator: this.spaceJudgment, trigger: "blur" }],
        deptIds: [{ required: true, message: "请选择指定部门", trigger: "blur" }],
        mobile: [
          { required: true, message: "请输入手机号码", trigger: "blur" },
          { required: true, message: "请输入手机号码", validator: this.spaceJudgment, trigger: "blur" }
        ],
        position: [{ required: true, message: "请选择身份", trigger: "blur" }],
      },
      //部门数据结构树
      treeselectList:[],
      //身份列表
      positionOptions:[],
      //部门列表
      deptOptions:[],
      deptOptionsData:[],
      //职称列表
      categoryOptions:[],
      //文化列表
      educationOptions:[],
    }
  },
  created(){
    let self = this;
    if(this.propsData.userId){
      if(this.propsData.avatar){
        this.form.avatar = this.propsData.avatar;
      }else{
        this.form.avatar = '';
      }
      if(this.propsData.userName){
        this.form.userName = this.propsData.userName;
      }else{
        this.form.userName = '';
      }
      if(this.propsData.sex){
        this.form.sex = parseInt(this.propsData.sex);
      }else{
        this.form.sex = 0;
      }
      if(this.propsData.account){
        this.form.account = this.propsData.account;
      }else{
        this.form.account = ''
      }
      if(this.propsData.deptId){
        this.form.deptId = this.propsData.deptId;
      }else{
        this.form.deptId = '';
      }
      if(this.propsData.position){
        // this.form.position =  parseInt(this.propsData.position);
        this.form.position =  this.propsData.position;
      }else{
        this.form.position = '';
      }
      if(this.propsData.category){
        this.form.category =  this.propsData.category;
      }else{
        this.form.category = '';
      }
      if(this.propsData.mobile){
        if(this.editType){
          this.form.mobile = this.propsData.mobile.substr(0, 3) + '****' + this.propsData.mobile.substr(7, 11);
        }else{
          this.form.mobile = this.propsData.mobile;
        }
      }else{
        this.form.mobile = '';
      }
      if(this.propsData.cardNumSimple){
        this.form.cardNum = this.propsData.cardNumSimple;
      }else{
        this.form.cardNum = '';
      }
      if(this.propsData.education){
        this.form.education =  this.propsData.education;
      }else{
        this.form.education =  '';
      }
      if(this.propsData.birthday){
        this.form.birthday = this.propsData.birthday;
      }else{
        this.form.birthday = '';
      }
      if(this.propsData.email){
        this.form.email = this.propsData.email;
      }else{
        this.form.email = '';
      }
    }
    this.getDeptList();
    this.getAll();
  },
  mounted(){
  },
  methods:{
    //提交按钮
    upDataButton(){
      let self = this;
      this.$refs["form"].validate(valid => {
        if (valid) {
          if(this.form.email){
            let re = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
            if(!re.test(this.form.email)){
              this.msgError('请输入正确的邮箱地址')
              return
            }
          }
          let obj = JSON.parse(JSON.stringify(this.form));
          if(this.propsData.userId){
            //修改
            obj.userId = this.propsData.userId;
            this.systemUserUpdate(obj);
          }else{
            //发布
            this.systemUserAdd(obj);
          }
        }
      });
    },
    //修改提交
    systemUserUpdate(obj){
      let self = this;
      obj.userType = 1
      systemUserUpdate(obj).then(response => {
        if(response.code == 200){
          this.msgSuccess(response.message);
          this.outPageButton();
        }else if(response.code==205){
          this.$confirm(response.message, "警告", {
            confirmButtonText: "确定",
            cancelButtonText: "取消",
            type: "warning"
          }).then(() => {
            //  确定
            self.$router.push({ path: '/comprehensive/integratedManagement/accessAuthorization' });
          }).catch(function() {
            //  取消
            self.outPageButton();
          });
        }
      });
    },
    //新增提交
    systemUserAdd(obj){
      let self = this;
      obj.userType = 1
      systemUserAdd(obj).then(response => {
        if(response.code == 200){
          this.msgSuccess(response.message);
          this.outPageButton();
        }else if(response.code==205){
          this.$confirm(response.message, "警告", {
            confirmButtonText: "确定",
            cancelButtonText: "取消",
            type: "warning"
          }).then(() => {
            //  确定
            self.$router.push({ path: '/comprehensive/integratedManagement/accessAuthorization' });
          }).catch(function() {
            //  取消
            self.outPageButton();
          });
        }
      });
    },
    getAll(){
      let self = this;
      this.systemPostSelect();
      //职称字典
      getDicts('professional').then(response => {
        this.categoryOptions = response.data;
      });
      //文化程度字典
      getDicts('education').then(response => {
        this.educationOptions = response.data;
      });
    },
    systemPostSelect(){
      let self = this;
      systemPostSelect({}).then(response => {
        let list = [];
        for(let i=0;i<response.data.length;i++){
          if(response.data[i].roleIds){
            list.push(response.data[i]);
          }
        }
        this.$set(this,'positionOptions',list)
        this.$nextTick(()=>{
          if(this.form.position){
            console.log('1')
            let num = 0;
            let type = 3;
            for(let i=0;i<self.positionOptions.length;i++){
              if(self.form.position == self.positionOptions[i].postId && self.positionOptions[i].roleIds){
                let list = self.positionOptions[i].roleIds
                self.$set(self.form,'roleIds',list);
                self.$set(self.form,'positionName',self.positionOptions[i].postName);
                num++
              }
              if(self.form.position == self.positionOptions[i].postId && self.positionOptions[i].postCode == 'school_level_admin'){
                type = 1;
              }else if(self.form.position == self.positionOptions[i].postId && self.positionOptions[i].postCode == 'college_admin'){
                type = 2;
              }
            }
            if(num == 0){
              self.$set(self.form,'roleIds',[]);
            }
            if(type == 1){
              //校级管理员身份
              let list = [{
                deptId:this.deptOptionsData[0].deptId,
                deptName:this.deptOptionsData[0].deptName
              }];
              this.$set(this,'deptOptions',JSON.parse(JSON.stringify(list)));
            }else if(type == 2){
              //院级管理员身份
              let list = [];
              this.deptOptionsData[0].child.forEach((item)=>{
                list.push({
                  deptId:item.deptId,
                  deptName:item.deptName
                })
              })
              this.$set(this,'deptOptions',JSON.parse(JSON.stringify(list)));
            }else if(type == 3){
              //其他身份
              this.$set(this,'deptOptions',JSON.parse(JSON.stringify(this.deptOptionsData)));
            }
          }
          this.$forceUpdate();
        })
      });
    },
    positionSelectClick(data){
      //选中
      let self = this;
      if(this.form.position){
        let num = 0;
        let type = 3;
        for(let i=0;i<self.positionOptions.length;i++){
          if(self.form.position == self.positionOptions[i].postId && self.positionOptions[i].roleIds){
            let list = self.positionOptions[i].roleIds
            self.$set(self.form,'roleIds',list);
            self.$set(self.form,'positionName',self.positionOptions[i].postName);
            num++
          }
          if(self.form.position == self.positionOptions[i].postId && self.positionOptions[i].postCode == 'school_level_admin'){
            type = 1;
          }else if(self.form.position == self.positionOptions[i].postId && self.positionOptions[i].postCode == 'college_admin'){
            type = 2;
          }
        }
        if(num == 0){
          self.$set(self.form,'roleIds',[]);
        }
        if(type == 1){
          //校级管理员身份
          let list = [{
            deptId:this.deptOptionsData[0].deptId,
            deptName:this.deptOptionsData[0].deptName
          }];
          this.$set(this.form,'deptId','');
          this.$set(this,'deptOptions',JSON.parse(JSON.stringify(list)));
        }else if(type == 2){
          //院级管理员身份
          let list = [];
          this.deptOptionsData[0].child.forEach((item)=>{
            list.push({
              deptId:item.deptId,
              deptName:item.deptName
            })
          })
          this.$set(this.form,'deptId','');
          this.$set(this,'deptOptions',JSON.parse(JSON.stringify(list)));
        }else if(type == 3){
          //其他身份
          this.$set(this.form,'deptId','');
          this.$set(this,'deptOptions',JSON.parse(JSON.stringify(this.deptOptionsData)));
        }
      }
      this.$forceUpdate();
    },
    /** 查询部门下拉树结构 */
    getDeptList() {
      getDeptList({deptName:''}).then(response => {
        this.deptOptions = response.data;
        this.deptOptionsData = JSON.parse(JSON.stringify(response.data));
        this.$set(this,'treeselectList',response.data[0].children);
      });
    },
    //上传
    handleAvatarSuccess(res, file) {
      this.form.avatar = res.data.url;
      this.$forceUpdate()
    },
    beforeAvatarUpload(file) {
      let type = false;
      if (file.type == 'image/png' || file.type == 'image/jpeg' || file.type == 'image/jpg' || file.type == 'image/gif') {
        type = true;
      }else{
        this.msgError('只能上传png/jpeg/gif格式图片')
        type = false;
      }
      return type;
    },
    //返回事件
    outPageButton(){
      this.$parent.outPage(1);
    },
  }
}
</script>

<style scoped lang="scss">
.teacher-add-page{
  flex:1;
  display: flex;
  flex-direction: column;
  box-shadow: 0 0 8px 2px rgba(0, 0, 0, 0.1);
  padding:0 0 20px!important;
  overflow: hidden;
  .public-form-box{
    flex:1;
    overflow-y: scroll;
    overflow-x: hidden;
  }
  .top-title-box{
    border-bottom:1px solid #E0E0E0;
    display: flex;
    p:nth-child(1){
      color:#0045AF;
      line-height:80px;
      margin-left:24px;
      font-size:18px;
      flex:1;
    }
    p:nth-child(2){
      border:1px solid #0045AF;
      color:#0045AF;
      width:80px;
      height:30px;
      text-align: center;
      font-size:16px;
      border-radius: 6px;
      line-height:30px;
      margin:25px 20px 0 0;
      cursor: pointer;
    }
  }
  .top-info-box{
    display: flex;
    padding:40px 20px 0;
    .left-info-box{
      margin-right:20px;
      img{
        width:100px;
        height:120px;
      }
      p{
        width: 80px;
        height: 26px;
        border: 1px solid #0183FA;
        border-radius: 6px;
        line-height:24px;
        font-size:12px;
        color:#0183FA;
        text-align: center;
        margin:24px 10px;
      }
    }
  }
  .top-title-one{
    display: flex;
    border-top:1px solid #E0E0E0;
    position: relative;
    .title-p{
      font-size:18px;
      color:#0045AF;
      line-height:80px;
      margin-left:24px;
    }
    .img-p{
      font-size:18px;
      margin:0 10px;
      line-height:80px;
      color:#FFC000;
    }
    .position-box{
      width: 420px;
      height: 194px;
      padding:20px;
      background: #F5F5F5;
      position: absolute;
      top:10px;
      left:134px;
      p{
        font-size:12px;
        line-height:18px;
        color:#333;
      }
    }
  }
  .name-input-box{
    height:100px;
  }
  .for-button-list{
    background: #E5F2FE;
    margin:0 20px;
    display: flex;
    .for-title-p{
      width:175px;
      height:80px;
      line-height:80px;
      font-size:16px;
      color:#333;
      text-align: center;
    }
    .for-button-max-box{
      flex:1;
      .for-button-min-box{
        font-size:16px;
        display: inline-block;
        overflow: hidden;
        height:30px;
        line-height:30px;
        border-radius:6px;
        margin:25px 28px 0 0;
        cursor: pointer;
        i{
          height:30px;
          line-height:30px;
          font-size:16px;
          color:#fff;
          margin-right:6px;
        }
      }
      .colorAA{
        color: #ffffff;
        background: #0183FA;
        padding:0 26px 0 16px;
      }
      .colorBB{
        padding:0 26px;
        color: #333;
        background: #E0E0E0;
      }
    }
  }
  .template-name-box{
    display: flex;
    .template-name-p{
      font-weight:500;
      height:80px;
      line-height:80px;
      font-size:16px;
      color:#333;
      margin-left:20px;
      flex: 1;
    }
    .template-name-button{
      width:80px;
      height:40px;
      line-height:40px;
      margin:20px 20px 0 0;
    }
    .template-name-button-one{
      width:180px;
      height:40px;
      line-height:40px;
      margin:20px 40px 0 0;
      color:#fff;
      background: #0183FA;
      border: 1px solid #E0E0E0;
      cursor: pointer;
      font-size: 14px;
      text-align: center;
      border-radius: 6px;
    }
  }
  .table-for-max-box{
    border:1px solid #D7D7D7;
    margin:0 20px;
    *{
      margin:0;
      padding:0;
    }
    .table-title-box{
      background: rgba(1,131,250,0.1);
      display: flex;
      p{
        font-size:14px;
        font-weight:700;
        color:#333;
        line-height:48px;
        padding-left:20px;
      }
      p:nth-child(1){
        width:615px;
        border-right:1px solid #D7D7D7;
      }
    }
    .table-for-big-box{
      border-top:1px solid #D7D7D7;
      display: flex;
      font-size:14px;
      .max-title-box-null{
        width:615px!important;
      }
      .max-title-box{
        width:230px;
        border-right:1px solid #D7D7D7;
        min-height:48px;
        position: relative;
        p{
          position: absolute;
          top:50%;
          left:20px;
          height:18px;
          line-height:18px;
          margin-top:-9px;
        }
      }
      .max-right-box{
        flex:5;
        min-height:48px;
        .big-box:nth-child(1){
          border:none!important;
        }
        .big-box-null{
          line-height:48px;
          margin-left:20px;
          color:#606266;
        }
        .big-box{
          display: flex;
          border-top:1px solid #D7D7D7;
          .big-title-box-null{
            width:385px!important;
          }
          .big-title-box{
            width:180px;
            border-right:1px solid #D7D7D7;
            min-height:48px;
            position: relative;
            overflow: hidden;
            p{
              position: absolute;
              top:50%;
              left:20px;
              height:48px;
              line-height:48px;
              margin-top:-24px;
            }
          }
          .big-right-box-null{
            display: flex;
            .scope-box{
              width:430px;
              position: relative;
              overflow: hidden;
              border-right:1px solid #D7D7D7;
              p{
                position: absolute;
                top:50%;
                left:20px;
                height:48px;
                line-height:48px;
                margin-top:-24px;
              }
            }
            .permission-box{
              flex:1;
              position: relative;
              overflow: hidden;
              display: flex;
              .check-left-p{
                margin-left:20px;
                height:48px;
                line-height:48px;
              }
              .check-button-box{
                width:130px;
                height:36px;
                margin:6px 0 0 36px;
                line-height:36px;
                display: flex;
                color:#333;
                cursor: pointer;
                img{
                  width:16px;
                  height:16px;
                  margin:10px 14px 0 19px;
                }
              }
              .check-button-box-colorA{
                background: #CCE6FE;
                color:#0183FA;
              }
              .check-button-box-colorB{
                background: #E0E0E0;
                color:#333;
              }
            }
          }
          .big-right-box{
            flex:5;
            min-height:48px;
            .min-box:nth-child(1){
              border:none!important;
            }
            .min-box{
              display: flex;
              border-top:1px solid #D7D7D7;
              .min-title-box{
                width:205px;
                border-right:1px solid #D7D7D7;
                min-height:48px;
                position: relative;
                overflow: hidden;
                p{
                  position: absolute;
                  top:50%;
                  left:20px;
                  height:48px;
                  line-height:48px;
                  margin-top:-24px;
                }
              }
              .min-right-box{
                flex:5;
                min-height:48px;
                display: flex;
                .scope-box{
                  width:430px;
                  position: relative;
                  overflow: hidden;
                  border-right:1px solid #D7D7D7;
                  p{
                    position: absolute;
                    top:50%;
                    left:20px;
                    height:48px;
                    line-height:48px;
                    margin-top:-24px;
                  }
                }
                .permission-box{
                  flex:1;
                  position: relative;
                  overflow: hidden;
                  display: flex;
                  .check-left-p{
                    margin-left:20px;
                    height:48px;
                    line-height:48px;
                  }
                  .check-button-box{
                    width:130px;
                    height:36px;
                    margin:6px 0 0 36px;
                    line-height:36px;
                    display: flex;
                    color:#333;
                    cursor: pointer;
                    img{
                      width:16px;
                      height:16px;
                      margin:10px 14px 0 19px;
                    }
                  }
                  .check-button-box-colorA{
                    background: #CCE6FE;
                    color:#0183FA;
                  }
                  .check-button-box-colorB{
                    background: #E0E0E0;
                    color:#333;
                  }
                }
              }
            }
          }
        }
      }
    }
  }
  .bottom-button-box{
    display: flex;
    width:600px;
    margin:30px auto 10px;
    .null-p{
      flex:1;
    }
    .button-p-1{
      width:100px;
      margin-right:20px;
    }
    .button-p-2{
      width:100px;
      margin-right:20px;
    }
    .button-p-3{
      width:180px;
    }
  }
}
</style>
<style lang="scss">
.teacher-add-page{
  .top-info-box{
    .el-form-item{
      height:70px;
    }
    .el-input--small{
      width:250px!important;
    }
    .el-select{
      width:250px!important;
    }
    .el-input{
      width:250px!important;
    }
    .el-input__inner{
      width:250px!important;
    }
    .el-radio-group{
      width:250px!important;
    }
    .is-disabled{
      width:250px!important;
    }

    .switch .el-switch__label {
      position: absolute;
      display: none;
      color: #fff !important;
    }
    .switch .el-switch__label--right {
      z-index: 1;
    }
    .switch .el-switch__label--right span{
      margin-left: 10px;
    }
    .switch .el-switch__label--left {
      z-index: 1;
    }
    .switch .el-switch__label--left span{
      margin-left: 24px;
    }
    .switch .el-switch__label.is-active {
      display: block;
    }
    .switch.el-switch .el-switch__core,
    .el-switch .el-switch__label {
      width: 64px !important;
      margin: 0;
    }
  }
}
.managePermissionTemplates-permission-dialog-box{
  *{
    margin:0;
  }
  .title-p{
    font-size:15px;
    font-weight:700;
    margin-bottom:30px;
  }
  .managePermissionTemplates-permission-dialog-form-box{
    .title-box{
      display: flex;
      height: 60px;
      background: #F5F5F5;
      .left-title-p{
        width:198px;
        border-right:1px solid #E0E0E0;
        font-size:15px;
        font-weight:700;
        padding-left:26px;
        line-height:60px;
        color:#333;
      }
      .right-box{
        flex:1;
        .right-box-min{
          height:20px;
          margin:20px 0 0 50px;
          .el-checkbox__label{
            font-size:15px;
            font-weight:700;
          }
        }
      }
    }
    .check-box{
      display: flex;
      .left-title-box{
        width:198px;
        border:1px solid #E0E0E0;
        position: relative;
        .left-title-p{
          position: absolute;
          left:27px;
          height:20px;
          line-height:20px;
          top:50%;
          margin-top:-10px;
        }
      }
      .right-box{
        padding:0 50px 41px 0;
        flex:1;
        border:1px solid #E0E0E0;
        border-left:none;
        .for-check-box{
          margin:41px 0 0 50px;
        }
      }
    }
  }
  .managePermissionTemplates-permission-dialog-button-box{
    display: flex;
    width:160px;
    margin:0 auto;
    p{
      margin:0;
      width:70px;
      height:30px;
      line-height:30px;
      font-size:14px;
    }
    p:nth-child(1){
      margin-right:20px;
    }
  }
}
.managePermissionTemplates-dept-dialog-box{
  *{
    margin:0;
  }
  .managePermissionTemplates-dept-dialog-button-box{
    display: flex;
    width:190px;
    margin:0 auto;
    p{
      margin:0;
      width:70px;
      height:30px;
      line-height:30px;
      font-size:14px;
    }
    p:nth-child(1){
      margin-right:50px;
    }
  }
}
</style>
